> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# RequestStatusWithDocumentFields

## RequestStatusWithDocumentFields

The RequestStatusWithDocumentFields call is similar to the RequestStatus and RequestStatusEx calls. It returns envelope status for the requested envelope along with all the envelope data, including the document custom DocumentFields.

### Schema

| Name       | Schema Type | Description                                       |
| ---------- | ----------- | ------------------------------------------------- |
| EnvelopeID | DSXId       | The Envelope ID for the envelope being requested. |

### Sample Request XML

```
POST /api/3.0/accountmanagement.asmx HTTP/1.1
Host: docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/AccountManagement/AddMembersToAccount"

<?xml version="1.0" encoding="utf-8"?>

<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap: Body>
    <RequestStatusWithDocumentFields xmlns="http://www.docusign.net/API/3.0">
      <EnvelopeID>string</EnvelopeID>
    </RequestStatusWithDocumentFields>
   </soap:Body>
</soap:Envelope>
```

The response returns the requested Envelope information, including the document custom DocumentFields.